<?xml version='1.0' encoding='utf-8'?>
<!--
 RELATED SOFTWARE: Scilab >= 5.5.0, Scilab 6.0, Scilab 6.1
 PACKAGE  : uman : Unified user MANual for Scilab, external modules and resources
 VERSION  : 3.1 - 2021-12-22
 AUTHOR   : Samuel GOUGEON - private individual
 COPYRIGHT: Samuel GOUGEON -  2013 - 2022
 LICENSE for uman : CeCILL : http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt 

 DISCLAIMER: This toolbox is provided as is, with NO WARRANTY of any kind.
              Use it to your own risks & responsability.
-->
<xsl:stylesheet version ="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                >
    <!-- = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
       ::
       ::     T O O L B O X E S   P A N E L :   uman
       ::
  -->
    <xsl:template match="uman" mode="tooltip">Setting uman options</xsl:template>
    <xsl:template match="uman">
        <Title text="_d(uman, uman configuration )">
            <Grid>
                <Label gridx="1" gridy="1" weightx="0" text="_d(uman, Maximal lines width:)"/>
                <NumericalSpinner gridx="2"
                          gridy="1"
                          weightx="0"
                          min-value="50"
                          max-value="110"
                          increment="1"
                          length="3"
                          listener="ActionListener"
                          value="{@MaxLinesWidth}"
                          >
                    <actionPerformed choose="MaxLinesWidth">
                        <xsl:call-template name="context"/>
                    </actionPerformed>
                </NumericalSpinner>

                <Label gridx="1" gridy="2" weightx="0" text="_d(uman, Syntaxes alignment:)"/>
                <Select gridx="2" gridy="2" listener="ActionListener">
                    <xsl:variable name="AlignSyntaxes" select="@AlignSyntaxes"/>
                    <actionPerformed choose="AlignSyntaxes">
                        <xsl:call-template name="context"/>
                    </actionPerformed>
                    <xsl:for-each select="AlignSyntaxes">
                        <option value="{@as}" key="{@code}">
                            <xsl:if test="@code=$AlignSyntaxes">
                                <xsl:attribute name="selected">selected</xsl:attribute>
                            </xsl:if>
                        </option>
                    </xsl:for-each>
                </Select>

                <Label gridx="1" gridy="3" weightx="0" text="_d(uman, Default calling options:)"/>
                <Entry gridx="2" gridy="3" text="{@DefaultCallOptions}" listener="EntryListener">
                    <entryChanged choose="DefaultCallOptions">
                        <xsl:call-template name="context"/>
                    </entryChanged>
                </Entry>

                <Label gridx="1" gridy="4" weightx="0" text="_d(uman, Hyperlinks display:)"/>
                <Select gridx="2" gridy="4" listener="ActionListener">
                    <xsl:variable name="PrintHyperlinks" select="@PrintHyperlinks"/>
                    <actionPerformed choose="PrintHyperlinks">
                        <xsl:call-template name="context"/>
                    </actionPerformed>
                    <xsl:for-each select="PrintHyperlinks">
                        <option value="{@as}" key="{@code}">
                            <xsl:if test="@code=$PrintHyperlinks">
                                <xsl:attribute name="selected">selected</xsl:attribute>
                            </xsl:if>
                        </option>
                    </xsl:for-each>
                </Select>

                <Checkbox
                      gridx="1" gridy="5"
                      listener="ActionListener"
                      checked="{@SeeAlsoOnlyKeywords}"
                      text="_d(uman, See also: compact list)"
                      >
                    <actionPerformed choose="SeeAlsoOnlyKeywords">
                        <xsl:call-template name="context"/>
                    </actionPerformed>
                </Checkbox>

                <Checkbox
                      gridx="1" gridy="6"
                      listener="ActionListener"
                      checked="{@AllowWideTables}"
                      text="_d(uman, Allow wide tables)"
                      >
                    <actionPerformed choose="AllowWideTables">
                        <xsl:call-template name="context"/>
                    </actionPerformed>
                </Checkbox>

                <Checkbox
                      gridx="1" gridy="7"
                      listener="ActionListener"
                      checked="{@ListOnlyUnresolvedBugs}"
                      text="_d(uman, Show only unresolved bugs)"
                      >
                    <actionPerformed choose="ListOnlyUnresolvedBugs">
                        <xsl:call-template name="context"/>
                    </actionPerformed>
                </Checkbox>

                <Checkbox
                      gridx="1" gridy="8"
                      listener="ActionListener"
                      checked="{@AsciiStyling}"
                      text="_d(uman, Enable ASCII styling)"
                      >
                    <actionPerformed choose="AsciiStyling">
                        <xsl:call-template name="context"/>
                    </actionPerformed>
                </Checkbox>
            </Grid>
        </Title>
    </xsl:template>
    <xsl:template match="umanPaths">
        <Grid>
            <Panel height="1" gridx="1" gridy="1" gridwidth="2">
                <VSpace height="10"/>
            </Panel>
            <Label gridx="1" gridwidth="2" gridy="2" text="_d(uman, Paths of external modules out of ~/contrib:)"/>
            <TextArea gridx="1" gridy="3" gridwidth="2" rows="4" 
                      editable="true" scroll="true"
                      listener="EntryListener">
                <xsl:attribute name="text">
                    <xsl:value-of select="string(child::node()[1])" disable-output-escaping="no"/>
                </xsl:attribute>
                <entryChanged choose-child="1">
                    <xsl:call-template name="context"/>
                </entryChanged>
            </TextArea>
        </Grid>
    </xsl:template>
</xsl:stylesheet>
