// RELATED SOFTWARE: Scilab 5.5.x / 6.0 / 6.1 / ≥ 2023
// PACKAGE    : uman : Unified user MANual for Scilab, external modules and resources
// VERSION    : 3.1 - 2021-12-22
// AUTHOR     : Samuel GOUGEON - private individual
// COPYRIGHT  : Samuel GOUGEON -  2013 - 2023
// LICENSE for uman : CeCILL : http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt 
// DEPENDENCY : uman() : https://atoms.scilab.org/toolboxes/uman
// 
// DISCLAIMER: This toolbox is provided as is, with NO WARRANTY of any kind.
//   Use it to your own risks & responsability.
// 

function disp_usage(fname)
// Displays the list of accepted syntaxes for the current/any function

    // IDENTIFYING THE FUNCTION
    if ~isdef("fname","l")
        [L,N] = where()
        if size(N,1)>1
            fname = N(2)
        else
            fname = "scilab"
        end
    end
    
    // CHECKING DEPENDENCY
    if atomsIsInstalled("uman") then
        if ~atomsIsLoaded("uman")
            atomsLoad("uman")
        end
        
    // ACTUAL DISPLAY
        if fname=="scilab"
            uman(fname)
        else
            uman(fname,"u")
        end
        write(%io(2),"")
    else
        msg = _("uman","disp_usage(%s): ''uman'' must be installed and loaded: %s\n");
        write(%io(2), msprintf(msg, fname, "https://atoms.scilab.org/toolboxes/uman"))
    end
endfunction    
