// Copyright (C) - 2015-2022 - Samuel GOUGEON
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING.  
// The terms are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
//
// =============================================================================
//     Unit tests for "uman ... b.."
//
// "uman" online page: http://atoms.scilab.org/toolboxes/uman
//
// <-- TEST WITH GRAPHIC -->   // We need the JVM
// <-- INTERACTIVE TEST -->
// Active Internet connexion required

// Documented bugs online: The "b" options
// ----------------------------------------
uman 11625 b     // Displays the Scilab/-/issues page of the bug #11625

uman ode b       // Scilab/-/issues list of OPEN reports about ode, well sorted
uman ode ba      // Scilab/-/issues list of ALL reports about ode,
                 //   sorted by decreasing bug number

uman Type b      // Scilab/-/issues. Queries are case-insensitive => same as 'uman type b'
                 // There is no way to build case-sensitive query on Scilab/-/issues.

uman à b         // Empty list. "à" is too short (at least 3 characters required)
uman .*. b       // Empty list. Symbols are not (longer) supported

uman flipud b    // Unknown pattern. The existing redirection to flipdim()
                 // is ignored => "flipud" is searched for as is on Scilab/-/issues.

uman cshift b    // Only on FileExchange => dedicated online FE page, #comments
                 //  section, where bugs may be reported.

uman gpib b      // External ressource with registered website => website targeted

uman maths|bz/gougeon> b   // Reports / comments on Scilab/-/issues by author=gougeon
                        // in the Maths category

uman helpsys/gougeon>console b // Reports / comments by gougeon about "console"
                                // in the "help system" category


// Examples with an external toolbox installed
// -------------------------------------------
yn = atomsIsInstalled("plotlib");
atomsInstall plotlib ; // Let's instal Plotlib
atomsIsLoaded plotlib  // => %F: no need to be loaded

uman plot b  // "plot" exists in Scilab as well as in "plotlib"
             // By default, the Scilab native entry is considered. So here
             // "plot" is search on Scilab Scilab/-/issues, as a part of Scilab.

//uman plot xb  // When we use the "x" option, priority is given to the eXternal
              // feature => the ticket page of plotlib is addressed on the
              // plotlib forge, instead of Scilab Scilab/-/issues.

uman quiver b // quiver is in plotlib, not in Scilab => no need to use the
              // "x" option: the tickets page of plotlib is directly targeted
              // on its forge. Using "x" does not mind.

if ~yn, atomsRemove("plotlib"), end    // cleaning after the example

// Example with the "removed" toolbox installed
// --------------------------------------------
yn = atomsIsInstalled("removed");
atomsInstall removed ;

uman relocate_handle b  // Scilab/-/issues must be targeted, not the "removed ATOMS page

if ~yn, atomsRemove("removed"), end    // cleaning after the example
